Delete a plan file
curl --request DELETE \
--url https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/file/{pk}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/file/{pk}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/file/{pk}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Plan Files
Delete a plan file
Deletes the plan file. If the plan’s latest version is published, a new draft version is created and the file is removed from the new draft.
DELETE
/
catalog
/
plans
/
{identifier}
/
file
/
{pk}
/
Delete a plan file
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Response
File deleted.